libvisio::VSDPage Class Reference documentation

libvisio::VSDPage Class Reference

`#include <VSDPages.h>`

## Public Member Functions
| VSDPage ()
| VSDPage (const VSDPage &page)
| ~VSDPage ()
VSDPage & | operator= (const VSDPage &page)
void | append (const VSDOutputElementList &outputElements)
void | draw (librevenge::RVNGDrawingInterface *painter) const

## Public Attributes
double | m_pageWidth
double | m_pageHeight
librevenge::RVNGString | m_pageName
unsigned | m_currentPageID
unsigned | m_backgroundPageID
VSDOutputElementList | m_pageElements

## Constructor & Destructor Documentation

## ◆ VSDPage() [1/2]

libvisio::VSDPage::VSDPage | ( |  | ) |

## ◆ VSDPage() [2/2]

libvisio::VSDPage::VSDPage | ( | const VSDPage & | page | ) |

## ◆ ~VSDPage()

libvisio::VSDPage::~VSDPage | ( |  | ) |

## Member Function Documentation

## ◆ append()

void libvisio::VSDPage::append | ( | const VSDOutputElementList & | outputElements | ) |

## ◆ draw()

void libvisio::VSDPage::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) | const

Referenced by libvisio::VSDPages::_drawWithBackground().

## ◆ operator=()

libvisio::VSDPage & libvisio::VSDPage::operator= | ( | const VSDPage & | page | ) |

## Member Data Documentation

## ◆ m_backgroundPageID

unsigned libvisio::VSDPage::m_backgroundPageID

Referenced by libvisio::VSDPages::_drawWithBackground(), operator=(), VSDPage(), and VSDPage().

## ◆ m_currentPageID

unsigned libvisio::VSDPage::m_currentPageID

Referenced by libvisio::VSDPages::addBackgroundPage(), operator=(), VSDPage(), and VSDPage().

## ◆ m_pageElements

VSDOutputElementList libvisio::VSDPage::m_pageElements

Referenced by append(), draw(), operator=(), VSDPage(), and VSDPage().

## ◆ m_pageHeight

double libvisio::VSDPage::m_pageHeight

Referenced by operator=(), VSDPage(), and VSDPage().

## ◆ m_pageName

librevenge::RVNGString libvisio::VSDPage::m_pageName

Referenced by operator=(), VSDPage(), and VSDPage().

## ◆ m_pageWidth

double libvisio::VSDPage::m_pageWidth

Referenced by operator=(), VSDPage(), and VSDPage().

The documentation for this class was generated from the following files:

- VSDPages.h
- VSDPages.cpp